Com.Ctrip.Framework.Apollo.ConfigurationManager 2.2.0

携程Apollo客户端

  与Microsoft.Extensions.Configuration集成请使用Com.Ctrip.Framework.Apollo.Configuration包
  与System.Configuration.ConfigurationManager集成(.net 4.7.1及以后版本)请使用Com.Ctrip.Framework.Apollo.ConfigurationManager包
  直接使用ApolloConfigurationManager请使用Com.Ctrip.Framework.Apollo.Configuration或者Com.Ctrip.Framework.Apollo.ConfigurationManager

2.2.0:
     1. 使用C# 8、添加nullable
     2. 添加net40支持
2.1.0:
   1. 无
2.0.5:
   1. ApolloConfigurationManager初始化异常后,每次调用抛出有意义的异常
2.0.4:
   1. AppSettingsSectionBuilder默认强制更新(forceUpdate属性配置)AppSettings,实现ConfigurationManager.AppSettings的动态更新(其他的仍然不支持动态更新)
2.0.3:
   1. 无
2.0.2:
   1. ApolloConfigurationManager标记为Obsolete
2.0.1:
   1. 过滤重复的Namespace
2.0.0:
   1. 添加json、xml等格式的namespace的支持,通过扩展名识别格式
   2. 支持从环境变量读取apollo配置值
   3. 添加对.net core风格key支持,优先级低于原来的key

Install-Package Com.Ctrip.Framework.Apollo.ConfigurationManager -Version 2.2.0
dotnet add package Com.Ctrip.Framework.Apollo.ConfigurationManager --version 2.2.0
<PackageReference Include="Com.Ctrip.Framework.Apollo.ConfigurationManager" Version="2.2.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Com.Ctrip.Framework.Apollo.ConfigurationManager --version 2.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

2.2.0:
     1. 使用C# 8、添加nullable
     2. 添加net40支持
2.1.0:
   1. 无
2.0.5:
   1. ApolloConfigurationManager初始化异常后,每次调用抛出有意义的异常
2.0.4:
   1. AppSettingsSectionBuilder默认强制更新(forceUpdate属性配置)AppSettings,实现ConfigurationManager.AppSettings的动态更新(其他的仍然不支持动态更新)
2.0.3:
   1. 无
2.0.2:
   1. ApolloConfigurationManager标记为Obsolete
2.0.1:
   1. 过滤重复的Namespace
2.0.0:
   1. 添加json、xml等格式的namespace的支持,通过扩展名识别格式
   2. 支持从环境变量读取apollo配置值
   3. 添加对.net core风格key支持,优先级低于原来的key

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
2.2.0 46 11/15/2019
2.1.0 85 9/19/2019
1.5.5 268 6/4/2019